function finished() {
  var id=0;
  for (var r=1;r<6;r++) {
    for (var c=1;c<7;c++) {
      var el=document.getElementById(id);
      if (el.style.gridRowStart!=r) return false;
      if (el.style.gridColumnStart!=c) return false;
      id++;
    }
  }
  return true;
}